Package org.multiverse.stms.gamma.transactions

## Class ThreadLocalGammaTxnPool

- java.lang.Object
- - org.multiverse.stms.gamma.transactions.ThreadLocalGammaTxnPool

-     public final class ThreadLocalGammaTxnPool
      extends Object

  A ThreadLocal that stores the `GammaTxnPool`.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GammaTxnPool` | `getThreadLocalGammaTxnPool()` | Returns the GammaTxnalPool stored in the ThreadLocalGammaTxnPool.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getThreadLocalGammaTxnPool

          public static GammaTxnPool getThreadLocalGammaTxnPool()

      Returns the GammaTxnalPool stored in the ThreadLocalGammaTxnPool. If no instance exists, a new instance is created.
      Returns:
        the GammaTxnPool.